<?php
/**
 * Created by PhpStorm.
 * User: zilongs
 * Date: 20-10-29
 * Time: 下午3:43
 */

namespace App\Http\Controllers\Api\V1;

use App\Models\Organization;
use DB;

class OrganizationController extends AuthController
{
    public function organizationList()
    {
        $this->validate(request(), [
            'latitude' => 'numeric',
            'longitude' => 'numeric',
        ]);
        $user = $this->user;

        $distance_field = get_user_distance_field($user);

        $data = Organization::select(['id', 'type', 'name', 'province_id', 'city_id', 'area_id', 'address', 'latitude', 'longitude', DB::raw($distance_field)])->orderBy('distance', 'asc')->paginate();

        return out($data);
    }
}
